//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
//
//
//	delib_io_tcp.h
//	project: delib
//
//
//	(c) DEDITEC GmbH, 2013
//	web: http://www.deditec.de/
//	mail: vertrieb@deditec.de
//
// 
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************

extern unsigned long tcp_tx_open         (ULONG handle, unsigned char * host_name, unsigned long host_name_size, unsigned long port_no);
extern unsigned long tcp_tx_close        (unsigned long   handle);

extern unsigned long tcp_tx_send_rec_data(ULONG handle, unsigned long   tcp_handle, unsigned long job_id, unsigned long tcp_timeout,
										  unsigned long command_type,
                                          unsigned char * tx_buff,   unsigned long tx_buff_length,
                                          unsigned char * rx_buffer, unsigned long rx_buffer_length);

extern unsigned long tcp_tx_send_rec_data_big(ULONG handle, unsigned long   tcp_handle, unsigned long job_id, unsigned long tcp_timeout,
											  unsigned long command_type,
                                   unsigned char * tx_buffer, unsigned long tx_buffer_length,
                                   unsigned char * rx_buffer, unsigned long rx_buffer_length);

extern bool DapiTCPSendCommand(ULONG handle, UCHAR tx[], unsigned long tx_length, UCHAR rx[], unsigned long rx_anzahl);

extern unsigned long DapiOpenModuleIntern_ETH(unsigned long handle, unsigned long moduleID, unsigned long moduleNr, unsigned char * exbuffer);
extern unsigned long DapiCloseModuleIntern_ETH(unsigned long handle);

extern ULONG DapiTCPWriteMultipleBytesOLD(ULONG handle, ULONG adress, ULONG adress_tiefe, ULONG wiederholungen, unsigned char* data, ULONG data_length);

extern ULONG DapiTCPWriteMultipleBytes(ULONG handle, ULONG adress, ULONG adress_tiefe, ULONG wiederholungen, unsigned char* data, ULONG data_length);
extern ULONG DapiTCPReadMultipleBytes(ULONG handle, ULONG address, ULONG address_depth, ULONG increment, unsigned char *data, ULONG data_length);

extern ULONG DapiTCPReadFifo(ULONG handle, ULONG type, unsigned char *data, ULONG data_length);

extern void DapiTCPWriteByte(unsigned long handle, unsigned long adress, unsigned long value);
extern void DapiTCPWriteWord (unsigned long handle,unsigned long adress,unsigned long value);
extern void DapiTCPWriteLong (unsigned long handle,unsigned long adress,unsigned long value);
extern void DapiTCPWriteLongLong (unsigned long handle,unsigned long adress,ULONGLONG value);

extern unsigned long DapiTCPReadByte (unsigned long handle,unsigned long adress);
extern unsigned long DapiTCPReadWord (unsigned long handle,unsigned long adress);
extern unsigned long DapiTCPReadLong(unsigned long handle, unsigned long adress);
extern ULONGLONG DapiTCPReadLongLong(unsigned long handle, unsigned long adress);

extern void DapiTCPSpecialCmd (unsigned long handle,unsigned long cmd);
