//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
//
//
//	deditec_msgqueue_struct.h
//	project: DEDITEC library
//
//
//	(c) DEDITEC GmbH, 2013
//	web: http://www.deditec.de/
//	mail: vertrieb@deditec.de
//
// 
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************

#ifndef DT_MSQ_STRUCT
#define DT_MSQ_STRUCT
// das oben muss hier unbedingt sein

#define DT_MSGQ_PERM 0666

#define C2S_VALUE_MAX	8192
#define S2C_VALUE_MAX	8192

// ------------------------------------
typedef struct
{
	int clientid;
	unsigned char rw_type;
	unsigned char cmdlen;
	unsigned long vallen;
	unsigned char cmd[64];
	unsigned char cookie_cmd;
	unsigned char cookie[32];
	unsigned char value[C2S_VALUE_MAX];
} dt_msgq_c2s_s;

// ------------------------------------
typedef struct
{
	unsigned char status;
	unsigned long vallen;
	unsigned char value[S2C_VALUE_MAX];
} dt_msgq_s2c_s;

// ------------------------------------
typedef struct
{
	long priority;
	dt_msgq_c2s_s content;
} dt_msgq_c2s;

// ------------------------------------
typedef struct
{
	long priority;
	dt_msgq_s2c_s content;
} dt_msgq_s2c;

#endif
